Index: SPECS/xorg-x11-drivers.spec
===================================================================
--- SPECS.orig/xorg-x11-drivers.spec
+++ SPECS/xorg-x11-drivers.spec
@@ -3,7 +3,7 @@
 Summary: X.Org X11 driver installation package
 Name: xorg-x11-drivers
 Version: 7.1
-Release: 3
+Release: 3.fa1
 License: MIT/X11
 Group: User Interface/X Hardware Support
 URL: http://www.redhat.com
@@ -11,7 +11,7 @@ BuildRoot: %{_tmppath}/%{name}-%{version
 
 # This should match the list of architectures we build the Xorg server for.
 # Note the lack of s390{,x}.
-ExclusiveArch: %{ix86} x86_64 ia64 ppc ppc64 alpha sparc sparc64
+ExclusiveArch: %{ix86} x86_64 ia64 ppc ppc64 alpha %{arm} sparc sparc64
 
 Obsoletes: xorg-x11
 
@@ -25,11 +25,11 @@ Obsoletes: xorg-x11
 #   do (echo -n "%ifarch " ;grep "^ExclusiveArch:" $a/devel/$a.spec | sed -e "s/^ExclusiveArch: //" ; echo -e "Requires: $a\n%endif\n") ; done
 #
 # XXX this is terrible.
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-acecad
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-aiptek
 %endif
 
@@ -45,11 +45,11 @@ Requires: xorg-x11-drv-ark
 Requires: xorg-x11-drv-ast
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-ati
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-calcomp
 %endif
 
@@ -57,11 +57,11 @@ Requires: xorg-x11-drv-calcomp
 Requires: xorg-x11-drv-chips
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-cirrus
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-citron
 %endif
 
@@ -69,47 +69,47 @@ Requires: xorg-x11-drv-citron
 Requires: xorg-x11-drv-cyrix
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-digitaledge
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-dmc
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-dummy
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-dynapro
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-elo2300
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-elographics
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc ppc64 alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc ppc64 alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-evdev
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-fbdev
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-fpit
 %endif
 
-%ifarch %{ix86} alpha
+%ifarch %{ix86} alpha %{arm}
 Requires: xorg-x11-drv-glint
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-hyperpen
 %endif
 
@@ -125,39 +125,39 @@ Requires: xorg-x11-drv-i740
 Requires: xorg-x11-drv-i810
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-jamstudio
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-joystick
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc ppc64 alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc ppc64 alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-keyboard
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-magellan
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-magictouch
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-mga
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-microtouch
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc ppc64 alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc ppc64 alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-mouse
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-mutouch
 %endif
 
@@ -169,15 +169,15 @@ Requires: xorg-x11-drv-neomagic
 Requires: xorg-x11-drv-nsc
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-nv
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-palmax
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-penmount
 %endif
 
@@ -209,15 +209,15 @@ Requires: xorg-x11-drv-sis
 Requires: xorg-x11-drv-sisusb
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-spaceorb
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-summa
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm}
 Requires: xorg-x11-drv-tdfx
 %endif
 
@@ -225,11 +225,11 @@ Requires: xorg-x11-drv-tdfx
 Requires: xorg-x11-drv-trident
 %endif
 
-%ifarch %{ix86} alpha
+%ifarch %{ix86} alpha %{arm}
 Requires: xorg-x11-drv-tseng
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-ur98
 %endif
 
@@ -237,11 +237,11 @@ Requires: xorg-x11-drv-ur98
 Requires: xorg-x11-drv-v4l
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc ppc64 alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc ppc64 alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-vesa
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-vga
 %endif
 
@@ -257,11 +257,11 @@ Requires: xorg-x11-drv-vmware
 Requires: xorg-x11-drv-vmmouse
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc ppc64 alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc ppc64 alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-void
 %endif
 
-%ifarch %{ix86} x86_64 ia64 ppc alpha sparc sparc64
+%ifarch %{ix86} x86_64 ia64 ppc alpha %{arm} sparc sparc64
 Requires: xorg-x11-drv-voodoo
 %endif
 
